Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 611069 - (perl-Devel-Declare) Review Request: perl-Devel-Declare - Adding keywords to perl, in perl
Review Request: perl-Devel-Declare - Adding keywords to perl, in perl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Devel-Dec...
:
Depends On:
Blocks: 616586
  Show dependency treegraph
 
Reported: 2010-07-03 08:11 EDT by Iain Arnell
Modified: 2013-05-10 08:10 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Devel-Declare-0.006000-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 20:54:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-07-03 08:11:02 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Devel-Declare.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Devel-Declare-0.006000-1.fc14.src.rpm

Description:
Devel::Declare can install subroutines called declarators which locally
take over Perl's parser, allowing the creation of new syntax.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2292007

*rt-0.10_01
Comment 1 Parag AN(पराग) 2010-07-16 03:31:17 EDT
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2323517
+ rpmlint output for SRPM and for RPM.
perl-Devel-Declare.src: W: spelling-error %description -l en_US declarators -> declaratory, declarations, declaration
==> can be ignored
+ source files match upstream url (sha1sum)
4a18a944fb12bc6459230d214a00e04e46a11c85  Devel-Declare-0.006000.tar.gz
4a18a944fb12bc6459230d214a00e04e46a11c85  Devel-Declare-0.006000.tar.gz.srpm

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=24, Tests=99,  1 wallclock secs ( 0.07 usr  0.03 sys +  0.71 cusr  0.11 csys =  0.92 CPU)
+ Package perl-Devel-Declare-0.006000-1.fc14.x86_64 =>
Provides: perl(Devel::Declare) = 0.006000 perl(Devel::Declare::Context::Simple) perl(Devel::Declare::MethodInstaller::Simple) = 0.006000
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3.4)(64bit) libc.so.6(GLIBC_2.4)(64bit) perl >= 0:5.008001 perl(base) perl(B::Hooks::EndOfScope) perl(B::Hooks::OP::Check) perl(Carp) perl(constant) perl(Devel::Declare) perl(Scalar::Util) perl(strict) perl(Sub::Name) perl(vars) perl(warnings) rpmlib(VersionedDependencies) <= 3.0.3-1 rtld(GNU_HASH)

+ Not a GUI application

Suggestions:
If package is imported for F-13 and above then please follow
1) buildroot should be removed
2) %clean not needed
3) cleaning of buildroot at start of %install also not needed    

You also don't need 
BuildRequires:  perl >= 1:5.8.1


APPROVED.
Comment 2 Iain Arnell 2010-07-16 03:50:30 EDT
New Package CVS Request
=======================
Package Name: perl-Devel-Declare
Short Description: Adding keywords to perl, in perl
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2010-07-16 13:37:13 EDT
CVS done (by process-cvs-requests.py).
Comment 4 Fedora Update System 2010-07-17 01:58:16 EDT
perl-Devel-Declare-0.006000-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Devel-Declare-0.006000-2.fc13
Comment 5 Iain Arnell 2010-07-17 03:05:36 EDT
Thanks for the review. Imported with a modernized spec.
Comment 6 Fedora Update System 2010-08-02 20:54:06 EDT
perl-Devel-Declare-0.006000-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Andrea Veri 2013-05-10 08:00:24 EDT
Package Change Request
======================
Package Name: perl-Devel-Declare
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig
Comment 8 Gwyn Ciesla 2013-05-10 08:10:57 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.